Bug 154553 - [patch] Porter's Handbook Java vendors list update
Summary: [patch] Porter's Handbook Java vendors list update
Status: Closed FIXED
Alias: None
Product: Documentation
Classification: Unclassified
Component: Documentation (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ryusuke SUZUKI
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-02-06 16:00 UTC by Warren Block
Modified: 2011-02-15 15:42 UTC (History)
0 users

See Also:


Attachments
file.diff (560 bytes, patch)
2011-02-06 16:00 UTC, Warren Block
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Warren Block 2011-02-06 16:00:20 UTC
The Porter's Handbook JAVA_VENDOR list is out of sync with the actual values in /usr/ports/Mk/bsd.java.mk, line 169:

_JAVA_VENDOR_LIST=              freebsd bsdjava sun blackdown openjdk

Note also that the comment on lines 34-35 of bsd.java.mk is also outdated.  I can submit a separate patch for that if needed.

Fix: Apply attached patch.

Patch attached with submission follows:
How-To-Repeat: See http://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/using-java.html
Comment 1 Ryusuke SUZUKI freebsd_committer 2011-02-11 05:21:12 UTC
Responsible Changed
From-To: freebsd-doc->ryusuke

I'll take this.
Comment 2 Ryusuke SUZUKI freebsd_committer 2011-02-11 13:28:01 UTC
----Security_Multipart(Fri_Feb_11_22_28_01_2011_729)--
Content-Type: Text/Plain; charset=us-ascii
Content-Transfer-Encoding: 7bit

Hello, Warren-san,

wb> The Porter's Handbook JAVA_VENDOR list is out of sync with the actual values
wb> in /usr/ports/Mk/bsd.java.mk, line 169:
wb> _JAVA_VENDOR_LIST= freebsd bsdjava sun blackdown openjdk
wb> Note also that the comment on lines 34-35 of bsd.java.mk is also outdated.
wb> I can submit a separate patch for that if needed.

 I agree that both porter's handbook and bsd.java.mk are outdated.

 I will commit your patch, and also ask responsible person for bsd.java.mk
 to commit following patch.

Regards,
    Ryusuke

--- bsd.java.mk.orig	2011-02-11 22:06:44.000000000 +0900
+++ bsd.java.mk	2011-02-11 22:07:15.000000000 +0900
@@ -32,7 +32,7 @@
 #					for the port. (allowed values: native linux)
 #
 # JAVA_VENDOR		List of space-separated suitable JDK port vendors for the
-#					port. (allowed values: freebsd bsdjava sun blackdown)
+#					port. (allowed values: freebsd bsdjava sun blackdown openjdk)
 #
 # JAVA_BUILD		When set, it means that the selected JDK port should be
 #					added to build dependencies for the port.



----Security_Multipart(Fri_Feb_11_22_28_01_2011_729)--
Content-Type: application/pgp-signature
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (FreeBSD)

iEYEABECAAYFAk1VOWEACgkQG5rRvmPSlySjNACffWPGLwzDPGK39Jtrtah/BFmk
e1gAn2nSdyPHYsrhiv/L+ibirVjyOSzo
=gtgE
-----END PGP SIGNATURE-----

----Security_Multipart(Fri_Feb_11_22_28_01_2011_729)----
Comment 3 dfilter service freebsd_committer 2011-02-11 14:22:54 UTC
ryusuke     2011-02-11 14:22:49 UTC

  FreeBSD doc repository

  Modified files:
    en_US.ISO8859-1/books/porters-handbook book.sgml 
  Log:
  Update JAVA_VENDOR list to sync with the actual values in /usr/ports/Mk/bsd.java.mk.
  
  PR: docs/154553
  Submitted by: Warren Block <wblock _at_ wonkity dot com>
  
  Revision  Changes    Path
  1.1094    +2 -2      doc/en_US.ISO8859-1/books/porters-handbook/book.sgml
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 dfilter service freebsd_committer 2011-02-12 15:48:54 UTC
hq          2011-02-12 15:48:48 UTC

  FreeBSD ports repository

  Modified files:
    Mk                   bsd.java.mk 
  Log:
  Update the list of possible values for JDK vendor in the header comments
  
  PR:             154553
  Submitted by:   Warren Block <wblock@wonkity.com> (PR),
                  ryusuke (patch)
  
  Revision  Changes    Path
  1.87      +3 -2      ports/Mk/bsd.java.mk
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Ryusuke SUZUKI freebsd_committer 2011-02-15 15:40:37 UTC
State Changed
From-To: open->closed

Porter's handbook and ports/Mk/bsd.java.mk are updated. Thanks!